<?
		session_start();
		//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
		if (isset($_SESSION['tipousuario']))
				{if ($_SESSION['tipousuario']=='1')
				header ('location:menu_personal.php');
				}
				
		if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
		include ("fphp.php");
		include "proceso_numtolet.php";	
		$enlace=cargar_conexion();
		
		$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysql_num_rows($consulta)!=0){
			$row=mysql_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresas']=$row['nombre'];
			$_POST['ciudad']=$row['ciudad'];
			$_POST['cargo2']=$row['cargo'];
			$_POST['representante']=$row['representante'];
			$_POST['cedular']=$row['cedula'];
		}   
		$_POST['usuario']=$_SESSION['nombre_validar'];
		$cedula=$_REQUEST["cedula"];

		$consulta="select * from personal_antes_saireh where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$row=mysql_fetch_array($resultado);
		$_POST['nombres']=trim($row['nombres'])." ".trim($row['nombres1']);	
		$_POST['apellidos']=trim($row['apellidos'])." ".trim($row['apellidos1']);	
		$_POST['smes']=$row['smes'];
		$_POST['cedula']=$row['codigo'];
		$_POST['cargo']=$row['cargo'];
		$_POST['fec1']=$row['fechai'];
		$_POST['fec2']=$row['fechae'];

		$consulta1="select * from tablas where tabla='CARGO' and codigo='".$_POST['cargo']."' and id='".$_SESSION['id_validar']."' ";
		$resultado1 = mysql_query($consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());
		$row1=mysql_fetch_array($resultado1);
		$_POST['cargo']=$row1['detalle'];
		
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
	    	$this->Image($_SESSION['logo_validar'],10,5,30,30);
	    	$this->SetFont('arial','',12);
			$this->Ln(2);
	    	$this->Cell(0,5,$_SESSION['empresa_validar'],0,0,'R'); 
			$this->SetFont('arial','',8); $this->Ln(4);
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','B',16); 
			$this->Ln(30);
			$this->Cell(0,5,'CONSTANCIA DE TRABAJO',0,1,'C');
			$this->SetFont('arial','',10);
			$this->ln(15);
		}
		function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
		}
		$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		
		$len=strlen(number_format($_POST['smes'],2));
		$dec=substr(number_format($_POST['smes'],2),$len-2,2);
		$letra=num2letras($_POST['smes'],0)." bolivares con ".$dec."/100 centimos";	
		
		$pdf->SetFont('Arial','',10);
		$pdf->cell(0,5,'Por medio de la presente, yo, '.$_POST['representante'].', titular de la cédula de identidad',0,1,'L',0);
		$pdf->cell(0,5,'Nro. '.$_POST['cedular'].'  en mi  carácter de '.$_POST['cargo2'].' de  '.$_SESSION['empresa_validar'].',',0,1,'L',0);
		$pdf->cell(0,5,'hago constar que el(la) ciudadano(a):',0,1,'L',0);
		
		$pdf->ln(5);
		
		$pdf->SetFont('Arial','',10);
		$pdf->cell(0,5,'Nombre y apellido: '.$_POST['nombres'].', '.$_POST['apellidos'],0,1,'L',0);
		$pdf->ln(1);
		
		$pdf->SetFont('Arial','',10);

		$pdf->cell(0,5,'Títular de la cédula de identidad Nro.:'.$_POST['cedula'],0,1,'L',0);
		$pdf->ln(1);

		$pdf->cell(0,5,'Trabajo en esta empresa ocupando el cargo de: '.strtoupper($_POST['cargo']),0,1,'L',0);
		$pdf->ln(1);

		$pdf->cell(0,5,'En el período desde el '.mostrar_fecha($_POST['fec1']).' hasta el '.mostrar_fecha($_POST['fec2']),0,1,'L',0);
		$pdf->ln(5);
		
		/*
		$pdf->SetFont('Arial','B',12);
		$pdf->cell(0,10,'CUADRO INFORMATIVO DEL EMPLEADO:',0,1,'C');
		$pdf->SetFont('Arial','',9);
		$pdf->cell(20,5,'',0,0,'C',0);
		$pdf->cell(50,5,'Fecha de Ingreso',1,0,'C',0);
		$pdf->cell(50,5,'Fecha de Egreso',1,0,'C',0);
		$pdf->cell(30,5,'Salario Mensual',1,0,'C',0);
		$pdf->cell(30,5,'Salario Diario',1,0,'C',0);
		$pdf->cell(20,5,'',0,1,'C',0);

		$pdf->cell(20,5,'',0,0,'C',0);
		$pdf->cell(50,5,mostrar_fecha($_POST['fec1']),1,0,'C',0);
		$pdf->cell(50,5,mostrar_fecha($_POST['fec2']),1,0,'C',0);
		$pdf->cell(30,5,number_format($_POST['smes'],2),1,0,'C',0);
		$pdf->cell(30,5,number_format($_POST['smes']/30,2),1,0,'C',0);
		$pdf->cell(20,5,'',0,1,'C',0);
		$pdf->ln(5);
		
		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Sueldo Mensual Bs.('.$letra.')',0,1,'C',0);
		*/		
		$dia=num2letras(date ("j"));
		$ano=num2letras(date ("Y"));
		$mes=date ("n");

		$pdf->SetFont('Arial','',10);
		$pdf->cell(0,5,'La presente  constancia se expide  en '.$_POST['ciudad'].', a los '.$dia.' días del mes  de '.mes_largo($mes).' del año',0,1,'L',0);
		$pdf->cell(0,5,$ano.'.',0,1,'L',0);
		
		$pdf->ln(10);
		$pdf->cell(0,5,'Sin mas que hacer referencia, ',0,1,'C',0);
		$pdf->cell(0,5,'Atentamente, ',0,1,'C',0);
		$pdf->ln(20);
		$pdf->cell(0,5,'--------------------------------------- ',0,1,'C',0);
		$pdf->SetFont('Arial','B',10);
		$pdf->cell(0,5,$_POST['representante'],0,1,'C',0);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Firma Autorizado ',0,1,'C',0);
		
		$pdf->ln(20);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Sello de la Empresa',0,1,'C',0);
		$pdf->ln(20);
		$pdf->cell(0,5,'CC: RRHH/Expediente Personal',0,1,'L',0);
		
		$pdf->Output();
		mysql_close($enlace);
?>